Bug 593521 - set logging redirect doesn't work
set logging redirect doesn't work
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-18 23:27 EDT by Casey Dahlin
Modified: 2014-06-18 04:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-06 14:30:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Casey Dahlin 2010-05-18 23:27:28 EDT
How reproducible:
Always
  
Actual results:
[sadmac@foucault ~]$ gdb
GNU gdb (GDB) Fedora (7.0.1-45.fc12)
(gdb) set logging on
Copying output to gdb.txt.
(gdb) set logging redirect on
(gdb) print 1
$1 = 1
(gdb) print 2
$2 = 2
(gdb) quit
[sadmac@foucault ~]$ cat gdb.txt 
$1 = 1
$2 = 2
[sadmac@foucault ~]$ 

Expected results:
[sadmac@foucault ~]$ gdb
GNU gdb (GDB) Fedora (7.0.1-45.fc12)
(gdb) set logging on
Copying output to gdb.txt.
(gdb) set logging redirect on
(gdb) print 1
(gdb) print 2
(gdb) quit
[sadmac@foucault ~]$ cat gdb.txt 
$1 = 1
$2 = 2
[sadmac@foucault ~]$
Comment 1 Tom Tromey 2010-05-19 10:47:54 EDT
It only works if you "set logging redirect on"
before enabling logging:

(gdb) set logging redirect on
(gdb) set logging on
Redirecting output to gdb.txt.
(gdb) print 1
(gdb) print 2
(gdb) set logging off
Done logging to gdb.txt.
Comment 2 Jan Kratochvil 2010-08-06 14:30:07 EDT
A warning patch has been posted upstream:
[patch] set logging {redirect|overwrite} warning
http://sourceware.org/ml/gdb-patches/2010-08/msg00083.html

I do not find it essential for a Fedora backport.

Note You need to log in before you can comment on or make changes to this bug.